Managed Databases - Create Or Update

新しいデータベースを作成するか、既存のデータベースを更新します。

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/managedInstances/{managedInstanceName}/databases/{databaseName}?api-version=2025-01-01

URI パラメーター

名前 / 必須 説明
databaseName
path True

string

データベースの名前。

managedInstanceName
path True

string

マネージド インスタンスの名前。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前の大文字と小文字は区別されません。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 必須 説明
location True

string

リソースが存在する地理的な場所

properties.autoCompleteRestore

boolean

このマネージド データベースの復元を自動的に完了するかどうか。

properties.catalogCollation

CatalogCollationType

メタデータ カタログの照合順序。

properties.collation

string

マネージド データベースの照合順序。

properties.createMode

ManagedDatabaseCreateMode

マネージド データベース作成モード。 PointInTimeRestore: 既存のデータベースの特定の時点のバックアップを復元してデータベースを作成します。 SourceDatabaseName、SourceManagedInstanceName、PointInTime を指定する必要があります。 RestoreExternalBackup: 外部バックアップ ファイルから復元してデータベースを作成します。 照合順序、StorageContainerUri、StorageContainerSasToken を指定する必要があります。 復旧: geo レプリケートされたバックアップを復元してデータベースを作成します。 RecoverableDatabaseId は、復元する回復可能なデータベース リソース ID として指定する必要があります。 RestoreLongTermRetentionBackup: 長期保有バックアップから復元してデータベースを作成します (longTermRetentionBackupResourceId が必要)。

properties.crossSubscriptionRestorableDroppedDatabaseId

string

復元可能なサブスクリプション間で、このデータベースの作成時に復元するデータベース リソース ID が削除されました。

properties.crossSubscriptionSourceDatabaseId

string

このデータベースの作成操作に関連付けられているサブスクリプション間ソース データベースのリソース識別子。

properties.crossSubscriptionTargetManagedInstanceId

string

サブスクリプション間の復元で使用されるターゲット マネージド インスタンス ID。

properties.isLedgerOn

boolean

このデータベースが台帳データベースであるかどうかは、データベース内のすべてのテーブルが台帳テーブルであることを意味します。 注: このプロパティの値は、データベースの作成後は変更できません。

properties.lastBackupName

string

このマネージド データベースを復元するための最後のバックアップ ファイル名。

properties.longTermRetentionBackupResourceId

string

このマネージド データベースの復元に使用する長期保有バックアップの名前。

properties.recoverableDatabaseId

string

このデータベースの作成操作に関連付けられている回復可能なデータベースのリソース識別子。

properties.restorableDroppedDatabaseId

string

このデータベースの作成時に復元する、復元可能な削除されたデータベース リソース ID。

properties.restorePointInTime

string (date-time)

Conditional. createMode が PointInTimeRestore の場合、この値は必須です。 新しいデータベースを作成するために復元されるソース データベースの時点 (ISO8601形式) を指定します。

properties.sourceDatabaseId

string

このデータベースの作成操作に関連付けられているソース データベースのリソース識別子。

properties.storageContainerIdentity

string

Conditional. createMode が RestoreExternalBackup の場合、この値が使用されます。 ストレージ コンテナー認証に使用される ID を指定します。 'SharedAccessSignature' または 'ManagedIdentity' を指定できます。'SharedAccessSignature' が指定されていない場合は、"SharedAccessSignature" と見なされます。

properties.storageContainerSasToken

string

Conditional. createMode が RestoreExternalBackup で、storageContainerIdentity が ManagedIdentity でない場合、この値は必須です。 ストレージ コンテナーの SAS トークンを指定します。

properties.storageContainerUri

string

Conditional. createMode が RestoreExternalBackup の場合、この値は必須です。 この復元のバックアップが格納されるストレージ コンテナーの URI を指定します。

tags

object

リソース タグ。

応答

名前 説明
200 OK

ManagedDatabase

リソース「ManagedDatabase」更新操作が成功しました

201 Created

ManagedDatabase

リソース「ManagedDatabase」作成操作は成功しました

ヘッダー

  • Location: string
  • Retry-After: integer
202 Accepted

リソース操作が受け入れられます。

ヘッダー

  • Location: string
  • Retry-After: integer
Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 Flow.

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Creates a new managed database by restoring from an external backup
Creates a new managed database by restoring from an external backup using managed identity
Creates a new managed database from restoring a geo-replicated backup
Creates a new managed database from restoring a long term retention backup
Creates a new managed database using cross subscription point in time restore
Creates a new managed database using point in time restore
Creates a new managed database with ledger on.
Creates a new managed database with maximal properties
Creates a new managed database with minimal properties

Creates a new managed database by restoring from an external backup

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "autoCompleteRestore": true,
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "createMode": "RestoreExternalBackup",
    "lastBackupName": "last_backup_name",
    "storageContainerSasToken": "sv=2015-12-11&sr=c&sp=rl&sig=1234",
    "storageContainerUri": "https://myaccountname.blob.core.windows.net/backups"
  }
}

応答のサンプル

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database by restoring from an external backup using managed identity

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "autoCompleteRestore": true,
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "createMode": "RestoreExternalBackup",
    "lastBackupName": "last_backup_name",
    "storageContainerIdentity": "ManagedIdentity",
    "storageContainerUri": "https://myaccountname.blob.core.windows.net/backups"
  }
}

応答のサンプル

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database from restoring a geo-replicated backup

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/server1/databases/testdb_recovered?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "createMode": "Recovery",
    "recoverableDatabaseId": "/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/Default-SQL-WestEurope/providers/Microsoft.Sql/managedInstances/testsvr/recoverableDatabases/testdb"
  }
}

応答のサンプル

{
  "name": "testdb_recovered",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/server1/recoverableDatabases/testdb_recovered",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2018-11-07T04:41:33.937Z",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb_recovered",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/recoverableDatabases/testdb_recovered",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2018-11-07T04:41:33.937Z",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database from restoring a long term retention backup

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "createMode": "RestoreExternalBackup",
    "storageContainerSasToken": "sv=2015-12-11&sr=c&sp=rl&sig=1234",
    "storageContainerUri": "https://myaccountname.blob.core.windows.net/backups"
  }
}

応答のサンプル

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database using cross subscription point in time restore

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "createMode": "PointInTimeRestore",
    "crossSubscriptionSourceDatabaseId": "/subscriptions/11111111-2222-3333-4444-555555555555/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr2/databases/testdb",
    "crossSubscriptionTargetManagedInstanceId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr",
    "restorePointInTime": "2017-07-14T05:35:31.503Z"
  }
}

応答のサンプル

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database using point in time restore

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "createMode": "PointInTimeRestore",
    "restorePointInTime": "2017-07-14T05:35:31.503Z",
    "sourceDatabaseId": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb"
  }
}

応答のサンプル

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}

Creates a new managed database with ledger on.

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "properties": {
    "isLedgerOn": true
  }
}

応答のサンプル

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testcl/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": true,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testcl/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": true,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/locations/southeastasia/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2022-08-01

Creates a new managed database with maximal properties

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia",
  "tags": {
    "tagKey1": "TagValue1"
  }
}

応答のサンプル

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  },
  "tags": {
    "tagKey1": "TagValue1"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/locations/southeastasia/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2017-03-01

Creates a new managed database with minimal properties

要求のサンプル

PUT https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/managedInstance/databases/managedDatabase?api-version=2025-01-01

{
  "location": "southeastasia"
}

応答のサンプル

{
  "name": "testdb1",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb1",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  }
}
{
  "name": "testdb2",
  "type": "Microsoft.Sql/managedInstances/databases",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/managedInstances/testsvr/databases/testdb2",
  "location": "southeastasia",
  "properties": {
    "collation": "SQL_Latin1_General_CP1_CI_AS",
    "creationDate": "2017-06-07T04:41:33.937Z",
    "defaultSecondaryLocation": "North Europe",
    "isLedgerOn": false,
    "status": "Online"
  }
}
Location: https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/Default-SQL-SouthEastAsia/providers/Microsoft.Sql/locations/southeastasia/operationStatus/default/operationId/00000000-0000-0000-0000-000000000000?api-version=2017-03-01

定義

名前 説明
CatalogCollationType

メタデータ カタログの照合順序。

createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報。

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

InaccessibilityReason

根本原因の種類。 使用できる値は、"TransparentDataEncryption"、"DatabaseReplication"、および "Unknown" です。

ManagedDatabase

マネージド データベース リソース。

ManagedDatabaseCreateMode

マネージド データベース作成モード。 PointInTimeRestore: 既存のデータベースの特定の時点のバックアップを復元してデータベースを作成します。 SourceDatabaseName、SourceManagedInstanceName、PointInTime を指定する必要があります。 RestoreExternalBackup: 外部バックアップ ファイルから復元してデータベースを作成します。 照合順序、StorageContainerUri、StorageContainerSasToken を指定する必要があります。 復旧: geo レプリケートされたバックアップを復元してデータベースを作成します。 RecoverableDatabaseId は、復元する回復可能なデータベース リソース ID として指定する必要があります。 RestoreLongTermRetentionBackup: 長期保有バックアップから復元してデータベースを作成します (longTermRetentionBackupResourceId が必要)。

ManagedDatabaseExtendedAccessibilityInfo

管理対象データベースの拡張アクセシビリティ情報

ManagedDatabaseStatus

データベースの状態。

systemData

リソースの作成と最後の変更に関連するメタデータ。

CatalogCollationType

メタデータ カタログの照合順序。

説明
DATABASE_DEFAULT

DATABASE_DEFAULT

SQL_Latin1_General_CP1_CI_AS

SQL_Latin1_General_CP1_CI_AS

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報。

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーの追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーターゲット。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

InaccessibilityReason

根本原因の種類。 使用できる値は、"TransparentDataEncryption"、"DatabaseReplication"、および "Unknown" です。

説明
Unknown

Unknown

TransparentDataEncryption

トランスペアレントデータ暗号化

DatabaseReplication

データベースレプリケーション

ManagedDatabase

マネージド データベース リソース。

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties.autoCompleteRestore

boolean

このマネージド データベースの復元を自動的に完了するかどうか。

properties.catalogCollation

CatalogCollationType

メタデータ カタログの照合順序。

properties.collation

string

マネージド データベースの照合順序。

properties.createMode

ManagedDatabaseCreateMode

マネージド データベース作成モード。 PointInTimeRestore: 既存のデータベースの特定の時点のバックアップを復元してデータベースを作成します。 SourceDatabaseName、SourceManagedInstanceName、PointInTime を指定する必要があります。 RestoreExternalBackup: 外部バックアップ ファイルから復元してデータベースを作成します。 照合順序、StorageContainerUri、StorageContainerSasToken を指定する必要があります。 復旧: geo レプリケートされたバックアップを復元してデータベースを作成します。 RecoverableDatabaseId は、復元する回復可能なデータベース リソース ID として指定する必要があります。 RestoreLongTermRetentionBackup: 長期保有バックアップから復元してデータベースを作成します (longTermRetentionBackupResourceId が必要)。

properties.creationDate

string (date-time)

データベースの作成日。

properties.crossSubscriptionRestorableDroppedDatabaseId

string

復元可能なサブスクリプション間で、このデータベースの作成時に復元するデータベース リソース ID が削除されました。

properties.crossSubscriptionSourceDatabaseId

string

このデータベースの作成操作に関連付けられているサブスクリプション間ソース データベースのリソース識別子。

properties.crossSubscriptionTargetManagedInstanceId

string

サブスクリプション間の復元で使用されるターゲット マネージド インスタンス ID。

properties.defaultSecondaryLocation

string

geo ペアのリージョン。

properties.earliestRestorePoint

string (date-time)

ポイントインタイム リストアの最も早い復元ポイントインタイム。

properties.extendedAccessibilityInfo

ManagedDatabaseExtendedAccessibilityInfo

「アクセス不能」状態のデータベースに関する追加の可観測性とトラブルシューティング情報。

properties.failoverGroupId

string

このマネージド データベースが属するインスタンス フェールオーバー グループリソース識別子。

properties.isLedgerOn

boolean

このデータベースが台帳データベースであるかどうかは、データベース内のすべてのテーブルが台帳テーブルであることを意味します。 注: このプロパティの値は、データベースの作成後は変更できません。

properties.lastBackupName

string

このマネージド データベースを復元するための最後のバックアップ ファイル名。

properties.longTermRetentionBackupResourceId

string

このマネージド データベースの復元に使用する長期保有バックアップの名前。

properties.recoverableDatabaseId

string

このデータベースの作成操作に関連付けられている回復可能なデータベースのリソース識別子。

properties.restorableDroppedDatabaseId

string

このデータベースの作成時に復元する、復元可能な削除されたデータベース リソース ID。

properties.restorePointInTime

string (date-time)

Conditional. createMode が PointInTimeRestore の場合、この値は必須です。 新しいデータベースを作成するために復元されるソース データベースの時点 (ISO8601形式) を指定します。

properties.sourceDatabaseId

string

このデータベースの作成操作に関連付けられているソース データベースのリソース識別子。

properties.status

ManagedDatabaseStatus

データベースの状態。

properties.storageContainerIdentity

string

Conditional. createMode が RestoreExternalBackup の場合、この値が使用されます。 ストレージ コンテナー認証に使用される ID を指定します。 'SharedAccessSignature' または 'ManagedIdentity' を指定できます。'SharedAccessSignature' が指定されていない場合は、"SharedAccessSignature" と見なされます。

properties.storageContainerSasToken

string

Conditional. createMode が RestoreExternalBackup で、storageContainerIdentity が ManagedIdentity でない場合、この値は必須です。 ストレージ コンテナーの SAS トークンを指定します。

properties.storageContainerUri

string

Conditional. createMode が RestoreExternalBackup の場合、この値は必須です。 この復元のバックアップが格納されるストレージ コンテナーの URI を指定します。

systemData

systemData

create By と modifiedBy の情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの型。 例えば「Microsoft。Compute/virtualMachines」または「Microsoft」などです。ストレージ/ストレージアカウント」

ManagedDatabaseCreateMode

マネージド データベース作成モード。 PointInTimeRestore: 既存のデータベースの特定の時点のバックアップを復元してデータベースを作成します。 SourceDatabaseName、SourceManagedInstanceName、PointInTime を指定する必要があります。 RestoreExternalBackup: 外部バックアップ ファイルから復元してデータベースを作成します。 照合順序、StorageContainerUri、StorageContainerSasToken を指定する必要があります。 復旧: geo レプリケートされたバックアップを復元してデータベースを作成します。 RecoverableDatabaseId は、復元する回復可能なデータベース リソース ID として指定する必要があります。 RestoreLongTermRetentionBackup: 長期保有バックアップから復元してデータベースを作成します (longTermRetentionBackupResourceId が必要)。

説明
Default

デフォルト

RestoreExternalBackup

RestoreExternalBackup

PointInTimeRestore

PointInTimeRestore

Recovery

復元

RestoreLongTermRetentionBackup

RestoreLongTermRetentionBackup

ManagedDatabaseExtendedAccessibilityInfo

管理対象データベースの拡張アクセシビリティ情報

名前 説明
inaccessibilityReasonDescription

string

根本原因の説明と軽減策。

inaccessibilityReasonErrorCode

string

SQL Serverのエラーコードがアクセス不能の根本原因に関連しています。

inaccessibilityReasonKind

InaccessibilityReason

根本原因の種類。 使用できる値は、"TransparentDataEncryption"、"DatabaseReplication"、および "Unknown" です。

inaccessibilityReasonTdeKeyUri

string

根本原因の種類 "TransparentDataEncryption" の場合、CMK URI。

ManagedDatabaseStatus

データベースの状態。

説明
Online

オンライン

Offline

オフライン

Shutdown

シャットダウン

Creating

作成

Inaccessible

アクセス

Restoring

復元

Updating

更新中

Stopping

停車

Stopped

停止済み

Starting

開始中

DbMoving

DbMoving

DbCopying

DbCopying

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。